Bug 1304438 - [abrt] plasma-workspace: xcb_image_native(): ksplashqml killed by SIGSEGV
[abrt] plasma-workspace: xcb_image_native(): ksplashqml killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:cad5ec1ef7063bd8ef48cab39a0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-03 10:49 EST by jamie
Modified: 2016-12-20 13:24 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:24:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.04 KB, text/plain)
2016-02-03 10:49 EST, jamie
no flags Details
File: cgroup (200 bytes, text/plain)
2016-02-03 10:49 EST, jamie
no flags Details
File: core_backtrace (2.70 KB, text/plain)
2016-02-03 10:49 EST, jamie
no flags Details
File: dso_list (16.06 KB, text/plain)
2016-02-03 10:50 EST, jamie
no flags Details
File: environ (4.05 KB, text/plain)
2016-02-03 10:50 EST, jamie
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-03 10:50 EST, jamie
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-03 10:50 EST, jamie
no flags Details
File: maps (74.54 KB, text/plain)
2016-02-03 10:50 EST, jamie
no flags Details
File: mountinfo (3.28 KB, text/plain)
2016-02-03 10:50 EST, jamie
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-03 10:50 EST, jamie
no flags Details
File: open_fds (564 bytes, text/plain)
2016-02-03 10:50 EST, jamie
no flags Details
File: proc_pid_status (1.05 KB, text/plain)
2016-02-03 10:50 EST, jamie
no flags Details
File: var_log_messages (311 bytes, text/plain)
2016-02-03 10:50 EST, jamie
no flags Details

  None (edit)
Description jamie 2016-02-03 10:49:51 EST
Description of problem:
I ran this script:
"
#/bin/bash
Xnest :1 -ac -geometry 1024x768+0+0 &
sleep 1
xterm -display :1 &
"
Then I ran 'startkde' in the Xterm of Xnest. It's that it did anything at all because I thought I didn't have KDE installed. I have upgraded Fedora severel times, so even if something was left over of KDE, I don't know weather that is the case with current packages. 

Version-Release number of selected component:
plasma-workspace-5.5.3-4.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        ksplashqml Breeze --pid
crash_function: xcb_image_native
executable:     /usr/bin/ksplashqml
global_pid:     8354
kernel:         4.3.3-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 xcb_image_native at xcb_image.c:397
 #1 xcb_create_pixmap_from_bitmap_data at xcb_image.c:811
 #2 qt_xcb_XPixmapFromBitmap at qxcbimage.cpp:188
 #3 QXcbCursor::createBitmapCursor at qxcbcursor.cpp:598
 #4 QXcbCursor::changeCursor at qxcbcursor.cpp:361
 #5 QGuiApplication::setOverrideCursor at kernel/qguiapplication.cpp:3246
 #6 SplashApp::SplashApp at /usr/src/debug/plasma-workspace-5.5.3/ksplash/ksplashqml/splashapp.cpp:71
Comment 1 jamie 2016-02-03 10:49:57 EST
Created attachment 1120825 [details]
File: backtrace
Comment 2 jamie 2016-02-03 10:49:58 EST
Created attachment 1120826 [details]
File: cgroup
Comment 3 jamie 2016-02-03 10:49:59 EST
Created attachment 1120827 [details]
File: core_backtrace
Comment 4 jamie 2016-02-03 10:50:01 EST
Created attachment 1120828 [details]
File: dso_list
Comment 5 jamie 2016-02-03 10:50:02 EST
Created attachment 1120829 [details]
File: environ
Comment 6 jamie 2016-02-03 10:50:04 EST
Created attachment 1120830 [details]
File: exploitable
Comment 7 jamie 2016-02-03 10:50:05 EST
Created attachment 1120831 [details]
File: limits
Comment 8 jamie 2016-02-03 10:50:08 EST
Created attachment 1120832 [details]
File: maps
Comment 9 jamie 2016-02-03 10:50:09 EST
Created attachment 1120833 [details]
File: mountinfo
Comment 10 jamie 2016-02-03 10:50:10 EST
Created attachment 1120834 [details]
File: namespaces
Comment 11 jamie 2016-02-03 10:50:11 EST
Created attachment 1120835 [details]
File: open_fds
Comment 12 jamie 2016-02-03 10:50:12 EST
Created attachment 1120836 [details]
File: proc_pid_status
Comment 13 jamie 2016-02-03 10:50:13 EST
Created attachment 1120837 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 10:22:23 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 13:24:33 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.